### Method

# EBookContacts VCardAttribute add_value_decoded

#### Declaration [src]

    void
    e_vcard_attribute_add_value_decoded (
      EVCardAttribute* attr,
      const gchar* value,
      gint len
    )

#### Description [src]

Encodes `value` according to the encoding used for `attr`, and appends it to `attr`‘s list of values.

This should only be used if the `EVCardAttribute` has a non-raw encoding (i.e. if it’s encoded in base-64 or quoted-printable encoding).

#### Parameters

`value`

  Type: `const gchar*`

  An encoded value.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gint`

  The length of the encoded value, in bytes.